summarylogtreecommitdiffstats
path: root/openra-yr
diff options
context:
space:
mode:
Diffstat (limited to 'openra-yr')
-rwxr-xr-xopenra-yr19
1 files changed, 19 insertions, 0 deletions
diff --git a/openra-yr b/openra-yr
new file mode 100755
index 000000000000..6e1b8307f5fe
--- /dev/null
+++ b/openra-yr
@@ -0,0 +1,19 @@
+#!/bin/sh
+cd "/usr/lib/openra-yr"
+
+# Run the game
+mono --debug OpenRA.Game.exe Game.Mod=yr Engine.LaunchPath="/usr/bin/openra-yr" "Engine.ModSearchPaths=/usr/lib/openra-yr/mods" "$@"
+
+# Show a crash dialog if something went wrong
+if [ $? != 0 ] && [ $? != 1 ]; then
+ ERROR_MESSAGE="Yuri's Revenge has encountered a fatal error.\nPlease refer to the crash logs and FAQ for more information.\n\nLog files are located in ~/.openra/Logs\nThe FAQ is available at http://wiki.openra.net/FAQ"
+ if command -v zenity > /dev/null; then
+ zenity --no-wrap --error --title "Yuri's Revenge" --text "${ERROR_MESSAGE}" 2> /dev/null
+ elif command -v kdialog > /dev/null; then
+ kdialog --title "Yuri's Revenge" --error "${ERROR_MESSAGE}"
+ else
+ printf "${ERROR_MESSAGE}\n"
+ fi
+ exit 1
+fi
+